Publish Kile in the Microsoft Store
Closed, ResolvedPublic

Description

Kile will be a useful program on Windows. We should package it and upload it to the KDE Community's account on the Microsoft Store.

Checklist:

  • maintainer/team agrees
  • package is ready
  • some testing has been done
  • icons in 44x44 and 150x150
  • screenshots
  • description
lydia created this task.Sep 2 2018, 1:58 PM
cullmann assigned this task to mludwig.Sep 28 2019, 2:07 PM
cullmann added subscribers: dhaumann, cullmann.

Michel, would you be ok with this?
That we get some installer in shape for the store?
I assume you use the craft created installer for your official windows download links already.

ognarb added a subscriber: ognarb.Oct 6 2019, 5:12 PM

People are interested in a Kile package in the Windows Store: https://www.reddit.com/r/kde/comments/ddkqwx/id_love_to_see_kile_latex_ide_on_windows/

I got this answer:

Hello there,
I tried Kile on Windows. It works good for now. I compiled two beamer files pdfs and one article with LaTeX. I even compiled with XeLaTeX my Rèsumé.
It seems it works good, the same as on Linux.

Michel, would you be ok with this?
That we get some installer in shape for the store?

Yes, it's fine with me.

I assume you use the craft created installer for your official windows download links already.

That's correct.

I've checked to today and it seems that a few small regressions have appeared over the last months in Kile for Windows - I will need to iron them out first over the next weeks.

Who will I have to contact in the future to update Kile in the Microsoft store?

I can handle the submission.

For that, we need to get

https://binary-factory.kde.org/job/Kile_Release_win64/

in shape to create a usable installer for the store.

The 7z file that is created: does that work ok for you at the moment on Windows?

Then I can add the few remaining bits to get a full installer (it is more or less just some keys in the .py script + icons in the right sizes)

Quick look at the code tells me you need to add something like

/**
 * enable high dpi support
 */
QCoreApplication::setAttribute(Qt::AA_UseHighDpiPixmaps, true);
QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling, true);

to have real hidpi support on Windows, I think at the moment just the high dpi pixmap stuff is on.
Both should be done before the application is constructed.

I've checked to today and it seems that a few small regressions have appeared over the last months in Kile for Windows - I will need to iron them out first over the next weeks.

Can you list these regressions here so we know when we are ready? Maybe even others will contribute this way. :)

Quick look at the code tells me you need to add something like

/**
 * enable high dpi support
 */
QCoreApplication::setAttribute(Qt::AA_UseHighDpiPixmaps, true);
QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling, true);

to have real hidpi support on Windows, I think at the moment just the high dpi pixmap stuff is on.
Both should be done before the application is constructed.

I've added this.

The 7z file that is created: does that work ok for you at the moment on Windows?

That one seems to work fine.

Can you list these regressions here so we know when we are ready? Maybe even others will contribute this way. :)

Already done ;) I guess it should work well enough now on Windows.

Great, the question is now: can you do some "release" that we have translations, too?
The nighlty stuff is lacking that.
Or do you think the english variant is sufficient for a start?

Ah, you could add 150/310/44 icons to the icons folder, btw., that will avoid that we need to have that in the craft blueprints.

Ah, you could add 150/310/44 icons to the icons folder, btw., that will avoid that we need to have that in the craft blueprints.

Done.

Great, the question is now: can you do some "release" that we have translations, too?

I've added a 2.9.93 release to the blueprints, which is built by default.

There is now some release APPX:

https://binary-factory.kde.org/job/Kile_Release_win64/

Could you give this a try?

I tried to install it. Given I have no real experience with TeX stuff on Windows, can't really try it ;=)
I can only say I assume that okular.exe needs to be installed, too, or?

I tried to update the blacklist, will schedule a new build.

I tried to install it. Given I have no real experience with TeX stuff on Windows, can't really try it ;=)
I can only say I assume that okular.exe needs to be installed, too, or?

No, okular.exe is actually not needed as Kile uses OkularPart.

There is now some release APPX:

https://binary-factory.kde.org/job/Kile_Release_win64/

Could you give this a try?

Thanks, I will try it out.

Ok, sorry, then we must remove that from the blacklist again.
But interesting enough, this first time wizard tells that it will miss okular, is that just a left-over from the time it was needed?

Ok, sorry, then we must remove that from the blacklist again.
But interesting enough, this first time wizard tells that it will miss okular, is that just a left-over from the time it was needed?

Yes, that's right - I should update that wizard... An external DVI/PDF viewer is now not needed anymore for using Kile.

I blacklisted the okular.exe again ;=)

If you have tested it, just give me a okay, then we can start to submit it.

Kile as such works fine.

But I have noticed a problem with spell checking: one can change the dictionary, but the spell checking is still done in English. In the spell checking dialog the dictionary also jumps back to English after having set it to another language first.

The same problem also appears in the Kate app from the Microsoft store...

Yes, true, there is such a bug :/

https://bugs.kde.org/show_bug.cgi?id=413353

If you have ideas, why this fails, input is welcome.

It's the language autodetection setting.

I guess we should find a way to build binaries that have the language autodetection setting off by default.

Hmm, why does that lead to this issue only on Windows?

This issue is also present on Linux.

The language auto-detection interferes with the dictionary that is set by the user. Fixing this might take some time, though.

Then I think this shouldn't block a first release.
We can later update the build at any time.
Are there any known issues?

In any case, I will prepare some submission for Kile in the management interface.
I will NOT submit it, just put in all the basic data.
We will need some screenshots for the final submission, can you provide some?

Btw., I prepared a submission, we just need to update the binary + screenshots.

I did create a step-for-step guide how to submit stuff during that:

https://kate-editor.org/post/2019/2019-11-03-windows-store-submission-guide/

Thanks a lot, Christoph - that's very useful.

You can download a few screenshots from here: http://kile.sourceforge.io/kile-screenshots-windows.zip

I'm still working on switching off Sonnet's language auto-detection feature during the installation of Kile. I'll let you know when it's done.

I've added a patch to disable Sonnet's language auto-detection during the first run of Kile.

Once Kile has been rebuilt by the binary factory, I want to test it once more, and then we should be ready to submit everything.

Build 566 works fine now.

Ok, will grab your screenshots and give that a try for submission, thanks!

cullmann closed this task as Resolved.Sun, Nov 10, 12:42 PM

Submitted.

It will appear at this location in the next days:

https://www.microsoft.com/store/apps/9PMBNG78PFK3

Perhaps you could apply for some account to the partner center to be able to do updates yourself.

https://kate-editor.org/post/2019/2019-11-03-windows-store-submission-guide/

should contain enough info how to later use that ;=)

Excellent!

I've also got access to the partner center now. So, I can handle updates from now on. Thanks again!